﻿Imports System.Collections.Generic
Imports System.Linq
Imports System.Text

Namespace RealTimeChessFrameWork



    ''' <summary>
    ''' セルに補助として表示される色
    ''' </summary>
    Friend Enum CellColor
        None = 0
        Red
        Blue
    End Enum


    ''' <summary>
    ''' 駒の絵柄
    ''' </summary>
    Friend Enum Design
        Pawn = 0
        Rook
        Knight
        Bishop
        Queen
        King
    End Enum


    ''' <summary>
    ''' 駒の色
    ''' </summary>
    Friend Enum PieceColor
        White = 0
        Black
    End Enum


    ''' <summary>
    ''' 駒の進行方向
    ''' </summary>
    Friend Enum PieceDirection
        Up = 0
        Down
    End Enum

End Namespace